@use "../../../../../../styles/variables/colorsFacebook.scss";
@use "../../../../../../styles/variables/colors.scss";


.set-group-name-wrapper {
    width: 100%;
    height: auto;

    .item-title {
        font-size: 20px;
    }

    .set-name-wrapper {
        width: 100%;
        height: auto;
        margin-top: 10px;

        .set-group-name {
            font-size: 16px;
            width: 100%;
            height: 2.3em;
            padding: 5px 10px;
            box-sizing: border-box;

            border: 1px solid rgb(133, 133, 133);
            border-radius: 6px;
            background-color: inherit;
            color: colorsFacebook.$white;
            transition: border-color 0.3s ease;

            &:-webkit-autofill {
                -webkit-transition-delay: 99999s;
            }

            &:hover {
                border-color: rgb(173, 173, 173);
            }

            &:focus {
                border: 1px solid colorsFacebook.$blue_facebook;
                outline: none;
            }

            option:disabled {
                background-color: colorsFacebook.$gray_background-modal;
            }

            &>option {
                font-weight: normal;
                display: block;
                padding: 5px;
                white-space: nowrap;
                background-color: colors.$bg_brand;

                &:hover {
                    background-color: colors.$bg_light-gray;
                }
            }

        }
    }

    .set-description-wrapper {
        width: 100%;
        height: auto;
        margin-top: 10px;

        .set-group-description {
            font-size: 16px;
            width: 100%;
            height: 6em;
            padding: 15px 10px;

            box-sizing: border-box;
            border: 1px solid rgb(133, 133, 133);
            border-radius: 6px;
            background-color: inherit;
            color: rgb(176, 179, 184);
            transition: border-color 0.3s ease;
            overflow: hidden;

            &:-webkit-autofill {
                -webkit-transition-delay: 99999s;
            }

            &:hover {
                border-color: rgb(173, 173, 173);
            }

            &:focus {
                border: 1px solid colorsFacebook.$blue_facebook;
                outline: none;
            }

            option:disabled {
                background-color: colors.$bg_brand;
            }

            &>option {
                font-weight: normal;
                display: block;
                padding: 5px;
                white-space: nowrap;
                background-color: colors.$bg_brand;

                &:hover {
                    background-color: colors.$bg_light-gray;
                }
            }

        }
    }


    .create-group-main {
        padding: 56px 90px;
        display: block;
    }

    .create-group-btn {
        width: 100%;
        margin-top: 20px;
    }

    .back {
        cursor: pointer;
        padding: 3px;

        :hover {
            background-color: colors.$link_hover;
        }
    }

    .button-section {
        width: 100%;
        height: auto;
        margin-top: 10px;
        display: flex;
        flex-direction: row;
        justify-content: right;
        align-items: center;
        gap: 20px;
    }
}